package cn.newfeifan.mall.module.distri.controller.admin.dailybill.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 每日账单 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DailyBillRespVO {

    @Schema(description = "账单编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "17268")
    @ExcelProperty("账单编号")
    private Long id;

    @Schema(description = "金额，单位：分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("金额，单位：分")
    private Integer amount;

    @Schema(description = "确收金额，单位：分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("确收金额，单位：分")
    private Integer receivedAmount;

    @Schema(description = "订单数，默认为0", requiredMode = Schema.RequiredMode.REQUIRED, example = "16252")
    @ExcelProperty("订单数，默认为0")
    private Integer orderCount;

    @Schema(description = "店铺ID", example = "28751")
    @ExcelProperty("店铺ID")
    private Integer shopId;

    @Schema(description = "商户ID", example = "26719")
    @ExcelProperty("商户ID")
    private Integer merchantId;

    @Schema(description = "订单ID列表", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("订单ID列表")
    private String orderIds;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}